Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: ldap

Interfaces

### Description:

OpenLDAP directory server.

### Interfaces:

ldap_admin( domain , role )

##### Summary

All of the rules required to administrate an ldap environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

ldap_list_db( domain )

##### Summary

List ldap database directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ldap_read_config( domain )

##### Summary

Read ldap configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ldap_stream_connect( domain )

##### Summary

Connect to slapd over an unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ldap_tcp_connect( domain )

##### Summary

Connect to ldap over the network.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ldap_use( domain )

##### Summary

Use LDAP over TCP connection. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return